package blackjack;
import MODULE.*;
import config.*;
import core.*;
import java.util.*;

public class blackjack implements MODULE
{
	private static String player="";
	private static boolean playing = false;
	private static String playercards="";
	private static String botcards="";
	
	private static String[] cardtypes ={"\u2660","\u2665","\u2666","\u2663"};
	private static String[] cards = {"2","3","4","5","6","7","8","9","10","J","K","Q","A"};
	
	private static Random rand = new Random();
	
	public static String makeCard()
	{
		return cards[rand.nextInt(cards.length)]+cardtypes[rand.nextInt(cardtypes.length)];
	}
	
	public void init()
	{
		newGame();
	}
	
	public static String getUserValueSTR()
	{
		String[] pc = playercards.split(",");
		int aces=0;
		for(int i=0;i<pc.length;++i)
		{
			if(pc[i].startsWith("A"))
			{
				++aces;
			}
		}
		
		int rawval=0;
		for(int i=0;i<pc.length;++i)
		{
			if(pc[i].startsWith("2"))
			{
				rawval+=2;
			}
			
			if(pc[i].startsWith("3"))
			{
				rawval+=3;
			}
			
			if(pc[i].startsWith("4"))
			{
				rawval+=4;
			}
			
			if(pc[i].startsWith("5"))
			{
				rawval+=5;
			}
			
			if(pc[i].startsWith("6"))
			{
				rawval+=6;
			}
			
			if(pc[i].startsWith("7"))
			{
				rawval+=7;
			}
			
			if(pc[i].startsWith("8"))
			{
				rawval+=8;
			}
			
			if(pc[i].startsWith("9"))
			{
				rawval+=9;
			}
			
			if(pc[i].startsWith("10"))
			{
				rawval+=10;
			}
			
			if(pc[i].startsWith("J"))
			{
				rawval+=10;
			}
			
			if(pc[i].startsWith("K"))
			{
				rawval+=10;
			}
			
			if(pc[i].startsWith("Q"))
			{
				rawval+=10;
			}
		}
		
		if(aces < 1)
		{
			return ""+rawval;
		}
		
		rawval += aces;
		String aces_addon=""+rawval;
		
		for(int i=0;i<aces;++i)
		{
			if((((i+1)*10)+rawval)>21){break;}
			aces_addon+=" or "+((i+1)*10);
		}
		
		return aces_addon;
	}
	
	public String getFuncs()
	{
		return "blackjack, hitme, stand, blackjack_player, master{blackjack_reset}";
	}
	
	public boolean funcs(String command, String channel, int argc, String[] argv, String user, boolean master) throws Exception
	{
		
		if(master)
		{
			if(command.compareTo("blackjack_reset")==0)
			{
				newGame();
				core.writechan("Blackjack reset!",channel);
				return true;
			}
		}
		
		if(command.compareTo("blackjack")==0)
		{
			if(playing)
			{
				core.writechan("I'm already playing a game, go wai!",channel);
			}
			else
			{
				playing=true;
				player=user;
				
				core.writechan("I'm currently playing with: "+player,channel);
			}
			return true;
		}
		
		if(command.compareTo("blackjack_player")==0)
		{
			if(!playing)
			{
				core.writechan("I'm not playing blackjack with anyone.",channel);
			}
			else
			{
				core.writechan("I'm currently playing with: "+player,channel);
			}
			return true;
		}
		
		return false;
	}
	
	public static void newGame()
	{
		player="";
		playing=false;
		playercards="";
		botcards="";
	}

}

