package core;
import javax.net.ssl.*;
import javax.script.*;
import java.io.*;
import java.net.*;
import MODULE.*;
import config.*;


public class core implements MODULE
{
	public static Socket socket = null;
	public static BufferedReader in = null;
	public static BufferedWriter out = null;
	
	public void init(){}
	
	public static String read() throws Exception
	{
		String ret = null;
		while((ret = in.readLine()) == null);
		System.out.print("IN  -> "+ret+"\n");
		return ret;
	}
	
	public static void write(String str) throws Exception
	{
		System.out.print("OUT -> "+str);
		out.write(str,0,str.length());
		out.flush();
	}
	
	public static void join(String channel) throws Exception
	{
		write("JOIN "+channel+"\n");
	}
	
	public static void part(String channel) throws Exception
	{
		write("PART "+channel+"\n");
	}
	
	public static void cycle(String channel) throws Exception
	{
		part(channel);
		join(channel);
	}
	
	public static void quit() throws Exception
	{
		write("QUIT \n");
		System.exit(0);
	}
	
	
	
	public static String getCommand(String[] srline)
	{
		if(srline.length < 4)
		{
			return null;
		}
		
		if(srline[1].compareTo("PRIVMSG") != 0)
		{
			return null;
		}
		
		if(srline[3].startsWith(":"+config.command_prefix))
		{
			return srline[3].replaceFirst(":"+config.command_prefix,"");
		}
		
		return null;
	}
	
	
	public static boolean isMaster(String[] srline)
	{
		if(srline.length < 2)
		{
			return false;
		}
		
		if(srline[1].compareTo("PRIVMSG") != 0)
		{
			return false;
		}
		
		if(srline[0].compareTo(":"+config.master) == 0)
		{
			return true;
		}
		
		return false;
	}
	
	public static String[] getArgs(String[] srline) 
	{
		try
		{
			String[] ret = new String[srline.length-4];
			for(int i=0;i<ret.length;++i)
			{
				ret[i]=srline[i+4];
			}
			return ret;
		}
		catch(Exception e){}
		return null;
	}
	
	public static void writechan(String msg, String channel) throws Exception
	{
		write("PRIVMSG "+channel+" :"+msg+"\n");
	}
	
	public String getFuncs()
	{
		return "help, master{quit, join[channel], part[channel:optional], eval[...]}";
	}
	
	public boolean funcs(String command, String channel, int argc, String[] argv, String user, boolean master) throws Exception
	{
		String ino = "";
		for(int i=0;i<argc;++i)
		{
			if(i==0)
			{
				ino=argv[i];
			}
			else
			{
				String buf = ino+" "+argv[i];
				ino=buf;
			}
		}
		
		if(command.compareTo("help") == 0)
		{
			for(int i=0;i<config.modules.length;++i)
			{
				core.writechan(config.nmodules[i]+": "+((MODULE)config.modules[i]).getFuncs(),channel);
			}
			return true;
		}
		
		if(master)
		{
			if(command.compareTo("quit") == 0)
			{
				quit();
				return true;
			}
			
			if(command.compareTo("join") == 0)
			{
				join(argv[0]);
				return true;
			}
			
			if(command.compareTo("part") == 0)
			{
				if(argc == 0)
				{
					part(channel);
				}
				else
				{
					part(argv[0]);
				}
				return true;
			}
			
			
			if(command.compareTo("eval") == 0)
			{
				try
				{
					ScriptEngine eng = new ScriptEngineManager().getEngineByName("js");
					writechan(eng.eval(ino).toString(),channel);
				}catch(Exception e)
				{
					writechan("eval error",channel);
				}
				return true;
			}
			
		}
		return false;
	}
	
	
}
