package hash;
import java.math.*;
import MODULE.*;
import core.*;
import gnu.crypto.hash.*;

public class hash implements MODULE
{
	public void init(){}
	
	public static String hashit(String algo, String in)
	{
		IMessageDigest md = HashFactory.getInstance(algo);
		byte[] b = in.getBytes();
		int sz = 2*md.hashSize();
		md.update(b,0,b.length);
		String st =  new BigInteger(1,md.digest()).toString(16);
		while(st.length() < sz)
		{
			String buf = "0"+st;
			st=buf;
		}
		return st;
	}
	
	public String getFuncs()
	{
		return "md2[...], md4[...], md5[...], sha1[...], sha256[...], sha384[...], sha512[...], tiger[...], haval[...], ripemd128[...], ripemd160[...], whirlpool[...]";
	}
	
	public boolean funcs(String command, String channel, int argc, String[] argv, String user, boolean master) throws Exception
	{
		String ino = "";
		for(int i=0;i<argc;++i)
		{
			if(i==0)
			{
				ino=argv[i];
			}
			else
			{
				String buf = ino+" "+argv[i];
				ino=buf;
			}
		}
		
		if(command.compareTo("md2") == 0)
		{
			core.writechan(hashit("MD2",ino),channel);
			return true;
		}
		
		if(command.compareTo("md4") == 0)
		{
			core.writechan(hashit("MD4",ino),channel);
			return true;
		}
		
		if(command.compareTo("md5") == 0)
		{
			core.writechan(hashit("MD5",ino),channel);
			return true;
		}
		
		if(command.compareTo("sha1") == 0)
		{
			core.writechan(hashit("SHA-1",ino),channel);
			return true;
		}
		
		if(command.compareTo("sha256") == 0)
		{
			core.writechan(hashit("SHA-256",ino),channel);
			return true;
		}
		
		if(command.compareTo("sha384") == 0)
		{
			core.writechan(hashit("SHA-384",ino),channel);
			return true;
		}
		
		if(command.compareTo("sha512") == 0)
		{
			core.writechan(hashit("SHA-512",ino),channel);
			return true;
		}
		
		if(command.compareTo("tiger") == 0)
		{
			core.writechan(hashit("TIGER",ino),channel);
			return true;
		}
		
		if(command.compareTo("haval") == 0)
		{
			core.writechan(hashit("HAVAL",ino),channel);
			return true;
		}
		
		if(command.compareTo("ripemd128") == 0)
		{
			core.writechan(hashit("RIPEMD128",ino),channel);
			return true;
		}
		
		if(command.compareTo("ripemd160") == 0)
		{
			core.writechan(hashit("RIPEMD160",ino),channel);
			return true;
		}
		
		if(command.compareTo("whirlpool") == 0)
		{
			core.writechan(hashit("WHIRLPOOL",ino),channel);
			return true;
		}
		
		return false;
	}
	
}
