import java.net.*;
import java.awt.*;
import java.math.*;
import java.io.*;
import javax.net.ssl.*;
import javax.net.*;
import java.security.*;
import java.security.cert.*;
import MODULE.*;
import config.*;
import core.*;
import hash.*;


public class kBot implements X509TrustManager
{
	public boolean funcs(String command, String channel, int argc, String[] argv, boolean master)
	{
		return false;
	}
	
	public static void main(String[] args) throws Exception
	{
		System.out.println("Bot name: "+config.name);
		System.out.println("Bot user: "+config.user);
		System.out.println("Bot mode: "+config.mode);
		System.out.println("Server:   "+config.server);
		System.out.println("Port:     "+config.port);
		System.out.println("SSL:      "+config.ssl);
		System.out.println("Channels: "+config.channels);
		System.out.println("Master:   "+config.master);
		System.out.println("Prefix:   "+config.command_prefix);
		System.out.println("Quit Msg: "+config.quit_msg);
		System.out.println("Modules:  "+config.lmodules);
		new kBot();
	}
	
	public static Object loadClass(String name) throws Exception
	{
		URL[] ui = new URL[]{new File(".").toURI().toURL()};
		ClassLoader ldr = new URLClassLoader(ui);
		return ldr.loadClass(name+"."+name).newInstance();
	}
	
	public X509Certificate[] getAcceptedIssuers(){return null;}
	public void checkClientTrusted(X509Certificate[] a, String b){}
	public void checkServerTrusted(X509Certificate[] a, String b){}
	
	public kBot(int a){}
	
	public kBot() throws Exception
	{
		config.nmodules=config.lmodules.split(",");
		config.modules = new Object[config.nmodules.length];
		for(int i=0;i<config.nmodules.length;++i)
		{
			config.modules[i] = loadClass(config.nmodules[i]);
			((MODULE)config.modules[i]).init();
		}
		
		try
		{
			if(config.ssl)
			{
				TrustManager[] tc = new TrustManager[]{new kBot(0)};
				
				SSLContext sslContext = SSLContext.getInstance("SSL");
				sslContext.init(null, tc, new SecureRandom());
				SSLSocketFactory factory = sslContext.getSocketFactory();
				core.socket = (SSLSocket)factory.createSocket(config.server,config.port);
				
			}
			else
			{
				core.socket = new Socket(config.server,config.port);
			}
			
			InputStreamReader ins = new InputStreamReader(core.socket.getInputStream(),"UTF8");
			OutputStreamWriter ous = new OutputStreamWriter(core.socket.getOutputStream(),"UTF8");
			core.in = new BufferedReader(ins);
			core.out = new BufferedWriter(ous);
			
		}
		catch(Exception e)
		{
			System.out.println("Could not create socket.\n");
			System.out.println(e);
			return;
		}
		
		core.write("NICK "+config.name+"\n");
		core.write("USER "+config.user+"\n");
		
		String rline;
		String srline[];
		
		for(;;)
		{
			rline = core.read();
			srline=rline.split(" ");
			if(srline.length > 1)
			{
				if(srline[0].compareTo("PING") == 0)
				{
					core.write("PONG "+srline[1]+"\n");
				}
				
				if(srline[1].compareTo("376") == 0)
				{
					break;
				}
				if(srline[1].compareTo("422") == 0)
				{
					break;
				}
			}
		}
		
		core.writechan("IDENTIFY "+config.password,"NickServ");
		core.write("MODE "+config.name+" "+config.mode+"\n");
		core.join(config.channels);
		
		boolean master = false;
		String command = null;
		String channel = null;
		String user = null;
		int argc = 0;
		String[] argv = null;
		
		for(;;)
		{
			for(;;)
			{
				master=false;
				rline = core.read();
				srline=rline.split(" ");
				
				if(srline.length > 1)
				{
					if(srline[0].compareTo("PING") == 0)
					{
						core.write("PONG "+srline[1]+"\n");
						break;
					}
				}
				
				if(core.isMaster(srline))
				{
					master=true;
				}
				
				command=core.getCommand(srline);
				
				if(command != null)
				{
					channel = srline[2];
					argv=core.getArgs(srline);
					if(argv == null)
					{
						argc = 0;
					}
					else
					{
						argc = argv.length;
					}
					
					
					
					System.out.print("Trying to exec command: "+command+"(");
					for(int i=0;i<argc;++i)
					{
						System.out.print(argv[i]);
						if(i+1 < argc)
						{
							System.out.print(",");
						}
					}
					System.out.println(");");
				}
				
				user = srline[0].replaceFirst(":","");
				
				if(command != null)
				{
					try
					{
						for(int i=0;i<config.modules.length;++i)
						{
							if(((MODULE)config.modules[i]).funcs(command,channel,argc,argv,user,master))
							{
								break;
							}
						}
						
						
					}
					catch(Exception e){}
				}
				
			}
		}
		
	}
	
}

