package misc;

import MODULE.*;
import core.*;
import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;

public class misc implements MODULE
{
	public void init(){}
	public String getFuncs()
	{
		return "weather[location] ,date";
	}
	
	public boolean funcs(String command, String channel, int argc, String[] argv, String user, boolean master) throws Exception
	{
		if(argc > 0)
		{
			if(command.compareTo("weather")==0)
			{
				String ri = "http://www.google.com/ig/api?weather=";
				for(int i=0;i<argc;++i)
				{
					ri+=argv[i]+" ";
				}
				
				try
				{
					String city=null;
					String postal_code="";
					String condition="";
					String temp_f="";
					String temp_c="";
					String humidity="";
					String wind_condition="";
					
					URL ur = new URL(ri);
					
					InputStream ins = ur.openStream();
					BufferedReader bf = new BufferedReader(new InputStreamReader(ins));
					
					String st=bf.readLine();
					ins.close();
					
					String[] sto=st.split("><");
					
					for(int i=0;i<sto.length;++i)
					{
						if(sto[i].startsWith("city"))
						{
							city=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("postal_code"))
						{
							postal_code=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("condition"))
						{
							condition=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("temp_f"))
						{
							temp_f=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("temp_c"))
						{
							temp_c=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("humidity"))
						{
							humidity=(sto[i].split("\""))[1];
						}
						
						if(sto[i].startsWith("wind_condition"))
						{
							wind_condition=(sto[i].split("\""))[1];
						}
					}
					if(city == null){throw new Exception();}
					core.writechan(city+" , "+postal_code+" "+condition+" ("+temp_f+"\u00B0F/"+temp_c+"\u00B0C) "+humidity+","+wind_condition,channel);
					
				}catch(Exception e)
				{
					core.writechan("Could not get weather data for location.",channel);
				}
				return true;
			}
		}
		
		if(command.compareTo("date")==0)
		{
			core.writechan(new SimpleDateFormat("kk:mm:ss:SSSS dd-MMMM-yyyy EEEE zZ").format(new Date()),channel);
			
			return true;
		}
		
		return false;
	}
}

